
Redmine - Feature #10162

require notes on specific fields getting set to specific values

2012-02-06 21:18 - Gerry Hawkins

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

This may be covered in #8050, or relates to it.

What I would like is a way to force / require the user to update the notes field when a target version is either removed completely or

changed.

That is a specific workflow, there are probably others that could be created where a change in a certain field should require the user

to make a comment about that change. e.g. setting status to duplicate without specifying the other issue #.

Related issues:

Related to Redmine - Feature #8050: Mightful workflow field enhancement:  vis... Closed 2011-04-03

Related to Redmine - Feature #12005: Mightful workflow field enhancement: hide New

History

#1 - 2012-02-07 09:09 - new heyd

- Assignee set to Holger Just

- % Done changed from 0 to 20

#2 - 2012-02-07 10:12 - Holger Just

- Assignee deleted (Holger Just)

- % Done changed from 20 to 0

Please don't assign stuff to random people.

#3 - 2013-01-12 19:09 - Daniel Felix

Well this could be useful, but I think this will be very complicated. Do you have a proposal how to define the interface for such a rule-system?
